+ Post New Thread
Page 101 of 533 FirstFirst ... 51 91 99 100 101 102 103 111 151 201 ... LastLast
Threads 2501 to 2525 of 13314

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 39,029
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 49,967
    18th Sep 2006 10:46 pm Go to last post
  1. Bearing Orientation and distance to table

    Hi i am searching for a bearing and distase lisp but with orientation. for example pick the first point (S1), then pick the orientation point (S2) then pick all the other point...

    Started by prodromosm‎, 23rd Nov 2013 10:06 am
    3 Pages
    1 2 3
    • Replies: 22
    • Views: 3,300
    9th Dec 2013 09:11 am Go to last post
  2. LISP Help Colored Lines

    I have a LISP that every line between user picked points is a colored. Right now after the 16th point the color restarts to the first color. I need it to go from 1 to 16 and back down to 1. Hopefully...

    Started by Dizzle517‎, 8th Dec 2013 04:36 am
    • Replies: 7
    • Views: 1,037
    8th Dec 2013 05:15 pm Go to last post
  3. need a lisp fixing for cutting a polilines into segments

    i have this lisp dividing a polylines to segments (MESCUT command after loading this lisp ) at a specified length , the improvements i need : 1) the ability to select more then one entity (...

    Started by danielk‎, 27th Oct 2013 02:22 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,768
    8th Dec 2013 11:10 am Go to last post
  4. Running lisp over multiple items

    Hi, Im a bit of a lisp novice and am struggling with expending on a lisp routine I have been trying to write. The routine takes a piece of text which is a number, stores the x,y and z (which is the...

    Started by jnky‎, 6th Dec 2013 01:05 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,316
    7th Dec 2013 11:53 pm Go to last post
  5. autolisp programme-ucs

    (defun c:ucsmen() (setq pt1 (getpoint "\npick new orgin")) (setq Pt2 (getpoint "second point") ) (setq Pt3 (getpoint "third point" ) ) (command "_ucs""3"Pt1 Pt2 Pt3 ) ) i am new to...

    Started by nithink55‎, 7th Dec 2013 11:31 am
    • Replies: 4
    • Views: 874
    7th Dec 2013 11:35 pm Go to last post
  6. Offset lines create diffrent layers and specify offset distence

    1. In utilities need offset the line 2m. and 1.5m and 4m….etc. Every line create the new layer (new layer name user defined ) no need color. 2. the layer name I defined as the line type ...

    Started by 121madhu‎, 3rd Dec 2013 01:14 pm
    3 Pages
    1 2 3
    • Replies: 23
    • Views: 2,035
    7th Dec 2013 02:52 pm Go to last post
  7. Center point of the current screen view

    Is there a way to find out the center point of the current screen view.

    Started by wimal‎, 7th Dec 2013 10:48 am
    • Replies: 3
    • Views: 412
    7th Dec 2013 11:04 am Go to last post
  8. By Using Mirror 3d Program is breaking

    Dear all, I am drawing some dimensions by changing UCS, because of this i am getting dimension text as reversed. To change that text i used mirror 3d command. If i am using mirror 3d for the...

    Started by prakashreddy‎, 5th Dec 2013 03:00 pm
    • Replies: 3
    • Views: 489
    6th Dec 2013 11:51 am Go to last post
  9. Question LISP calling another LISP

    I'm struggling to get my LISP to call & run another LISP (actually, it's a .vlx file). Here's the relevant bit of code: (LOAD "SPL2PL") (COMMAND "SPL2PL" "ALL" "" "0.1") And here's my error...

    Started by Rooster‎, 22nd Jun 2009 10:27 am
    4 Pages
    1 2 3 ... 4
    • Replies: 31
    • Views: 8,185
    6th Dec 2013 08:30 am Go to last post
  10. Lisp routine offset line and change colour same distance repeat

    Hi Guys, I've got a job where I'm offsetting heaps of lines and I need to change the colour of the line I offset from the colour it was, and I have to keep repeating this over and over. Is...

    Started by danthecadman‎, 4th Dec 2013 11:37 pm
    • Replies: 8
    • Views: 1,232
    6th Dec 2013 07:46 am Go to last post
  11. Exclamation 'ZOOM Extents' not working properly in 2014

    Hi all, I have a small lisp getting loaded every time I open a drawing (located in Startup suite). It was working perfectly fine in AutoCAD 2013. Since upgrading to 2014, the following scenario...

    Started by bababarghi‎, 5th Dec 2013 06:26 am
    2014
    • Replies: 7
    • Views: 2,110
    6th Dec 2013 12:38 am Go to last post
  12. Request for extension of existing lisp

    A while back I modified the following lisp by Jimmy Bergmark ;;; By Jimmy Bergmark ;;; Copyright (C) 1997-2006 JTB World, All Rights Reserved ;;; Website: www.jtbworld.com ;;; E-mail:...

    Started by Organic‎, 1st Dec 2013 08:32 am
    • Replies: 3
    • Views: 666
    5th Dec 2013 11:25 pm Go to last post
  13. Lisp for labelling Y value?

    Apologies if this has been answered previously but I feel like I'm going around in circles! I'm completely new to lisp, and need a routine that allows a combination of the ones discussed here: ...

    Started by Torro‎, 6th Nov 2013 11:47 am
    2 Pages
    1 2
    • Replies: 15
    • Views: 1,664
    5th Dec 2013 04:58 pm Go to last post
  14. opening file (strings) into lisp list

    Good afternoon everyone! I'm close to beeing done with my actual project that will fill out attributes of descriptions bubbles automatically depending on few querys. I've built a list in a...

    Started by Jef!‎, 2nd Dec 2013 10:51 pm
    2 Pages
    1 2
    • Replies: 11
    • Views: 1,103
    5th Dec 2013 02:10 pm Go to last post
  15. (setq aa (ssget))

    (setq aa (ssget))Altho this is creating a selection set I need add to that selection set only one object. after that go to code below. (vla-get-activeselectionset *AcadDoc*)I mean without pressing...

    Started by wimal‎, 2nd Dec 2013 11:50 am
    • Replies: 4
    • Views: 554
    5th Dec 2013 11:50 am Go to last post
  16. points density - dense.lsp - overlapping points and speed issue

    Hi all, recently I tried to make routine for making greater density of points that are to be used in generating terrain model. I know one desirable process that I've already tried (thread ab...

    Started by marko_ribar‎, 9th Apr 2012 03:14 pm
    3 Pages
    1 2 3
    • Replies: 25
    • Views: 3,634
    4th Dec 2013 08:25 pm Go to last post
  17. Batch plot Lisp?

    I'm using 2006 at my new job. I was using 2008 at my prev. job. That was about 8 months ago. I was laid off. Anyways. I remember using alot of lisp's that they don't have at my new job. Batch plat is...

    Started by CadTechJGC184‎, 20th Apr 2009 07:02 pm
    3 Pages
    1 2 3
    • Replies: 20
    • Views: 10,878
    4th Dec 2013 05:17 pm Go to last post
  18. insert " symbol in a string

    How can i insert " symbol in a string? I need a string like 3/16"...and i want to do something like (strcat "3/16" """)- how to do this? Thanks!

    Started by HARRY-PLOTTER‎, 4th Dec 2013 08:32 am
    • Replies: 7
    • Views: 1,136
    4th Dec 2013 02:17 pm Go to last post
  19. How to fix Block thumbnail preview in dialog box of a custom program

    I have made updates to an old library block (file) and saved my changes. We have a custom menu, custom program and dialog box shows all different blocks to choose from and I frequently use it. The...

    Started by shailujp‎, 15th Nov 2013 10:20 am
    block, dcl, preview
    • Replies: 7
    • Views: 1,446
    4th Dec 2013 06:15 am Go to last post
  20. Question Want to draw a series of "X" or "l l" lines between 2 points (weld lines)

    Hi all, I was tempered to reply in this post, as it kind of has the similar problem, but as the title has almost nothing to do with my problem (and the post is old) - I thought I'll post a new...

    Started by p0peye‎, 29th Nov 2013 12:31 pm
    symbols, weld lines
    • Replies: 2
    • Views: 635
    3rd Dec 2013 10:58 pm Go to last post
  21. help generating blocks with attributes from equipment list in csv format

    Hi I'm not sure what the way to go about doing what I want. I have a pretty extensive equipment list that I want to drive the deneration of simple plan represenations - each would be a rectangle...

    Started by oompa_l‎, 3rd Dec 2013 05:03 pm
    • Replies: 5
    • Views: 581
    3rd Dec 2013 10:36 pm Go to last post
  22. Add Comments in Drawing Properties

    I found some nice code to add text to the drawing properties. The code works fine but I need a way to enter the text for the Comments field to be a list with each new item on it's own line: When I...

    Started by Bill Tillman‎, 3rd Dec 2013 05:09 pm
    • Replies: 3
    • Views: 683
    3rd Dec 2013 08:29 pm Go to last post
  23. 2014 AutoCAD Electrical and Lisp routines

    All, Has anyone else noticed some change in 2014 not liking lisp routines. I have been using the same Lisp routines in 08,09 and 2013 without any issues. When opening a drawing, I have a...

    Started by bigr1822‎, 3rd Dec 2013 04:37 pm
    • Replies: 4
    • Views: 1,793
    3rd Dec 2013 06:57 pm Go to last post
  24. vlax-curve-getClosestPointTo [extend]

    How to get the coordinates of a point on the extension of the LWpoliline. If I use the function with the argument T is not getting the expected result. (vlax-curve-getClosestPointTo curve-obj...

    Started by Kowal‎, 29th Nov 2013 02:58 pm
    2 Pages
    1 2
    • Replies: 12
    • Views: 1,960
    3rd Dec 2013 01:39 pm Go to last post
  25. Distance function giving one decimal only these points????

    Dear All (distance '(20000 22000 0) '(0 20000 0)) 20099.8 But actual value is 20099.7512 How to get actual value?

    Started by prakashreddy‎, 3rd Dec 2013 08:11 am
    • Replies: 4
    • Views: 354
    3rd Dec 2013 01:02 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts